Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Fail in nova

I received these errors:

nova-status upgrade check

During handling of the above exception, another exception occurred:Traceback (most recent call last):File "/usr/lib/python3/dist-packages/sqlalchemy/engine/base.py", line 2158, in _wrap_pool_connect return fn() File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 345, in unique_connection   return _ConnectionFairy._checkout(self) File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 791, in _checkout fairy = _ConnectionRecord.checkout(pool)  File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 532, in checkout rec = pool._do_get()  File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 1196, in _do_get     self._dec_overflow()   File "/usr/lib/python3/dist-packages/sqlalchemy/util/langhelpers.py", line 66, in __exit__
compat.reraise(exc_type, exc_value, exc_tb) File "/usr/lib/python3/dist-packages/sqlalchemy/util/compat.py", line 187, in reraise
raise value File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 1193, in _do_get
return self._create_connection()  File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 350, in _create_connection
return _ConnectionRecord(self) File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 477, in __init__
self.__connect(first_connect_check=True) File "/usr/lib/python3/dist-packages/sqlalchemy/pool.py", line 674, in __connect  connection = pool._invoke_creator(self) File "/usr/lib/python3/dist-packages/sqlalchemy/engine /strategies.py", line 106, in connect return dialect.connect(*cargs, **cparams) File "/usr/lib/python3/dist-packages/sqlalchemy/engine/default.py", line 411, in connect  return self.dbapi.connect(*cargs, **cparams) File "/usr/lib/python3/dist-packages/pymysql/__init__.py", line 90, in Connect return Connection(*args, **kwargs) File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 699, in __init__  self.connect() File "/usr/lib/python3/dist-packages/pymysql/connections.py", line 967, in connect raise exc pymysql.err.OperationalError: (2003, "Can't connect to MySQL server on '192.168.1.23' ([Errno 113] EHOSTUNREACH)")




The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/nova/cmd/status.py", line 774, in main ret = fn(*fn_args, **fn_kwargs) File "/usr/lib/python3/dist-packages/nova/cmd/status.py", line 704, in check  result = func(self) File "/usr/lib/python3/dist-packages/nova/cmd/status.py", line 146, in _check_cellsv2 meta.bind = db_session.get_api_engine() File "/usr/lib/python3/dist-packages/nova/db/sqlalchemy/api.py", line 156, in get_api_engine return api_context_manager.writer.get_engine() File "/usr/lib/python3/dist-packages/oslo_db/sqlalchemy/enginefacade.py", line 814, in get_engine    return self._factory.get_writer_engine() File "/usr/lib/python3/dist-packages/oslo_db/sqlalchemy/enginefacade.py", line 363, in get_writer_engine self._start() File "/usr/lib/python3/dist-packages/oslo_db/sqlalchemy/enginefacade.py", line 496, in _star engine_args, maker_args) File "/usr/lib/python3/dist-packages/oslo_db/sqlalchemy/enginefacade.py", line 520, in _setup_for_connection sql_connection=sql_connection, **engine_kwargs) File "/usr/lib/python3/dist-packages/debtcollector/renames.py", line 43, in decorator  return wrapped(*args, **kwargs) File "/usr/lib/python3/dist-packages/oslo_db/sqlalchemy/engines.py", line 202, in create_engine test_conn = _test_connection(engine, max_retries, retry_interval) File "/usr/lib/python3/dist-packages/oslo_db/sqlalchemy/engines.py", line 388, in _test_connection six.reraise(type(de_ref), de_ref) File "/usr/lib/python3/dist-packages/six.py", line 692, in reraise raise value.with_traceback(tb) oslo_db.exception.DBConnectionError: (pymysql.err.OperationalError) (2003, "Can't connect to MySQL server on '192.168.1.23' ([Errno 113] EHOSTUNREACH)") (Background on this error at: http://sqlalche.me/e/e3q8)

root@controller:~# openstack server list

Failed to discover available identity versions when contacting http://192.168.1.23:5000/v3. Attempting to parse version from URL. Unable to establish connection to http://192.168.1.23:5000/v3/auth/tokens: HTTPConnectionPool(host='192.168.1.23', port=5000): Max retries exceeded with url: /v3/auth/tokens (Caused by NewConnectionError("<urllib3.connection.httpconnection object="" at="" 0x7ff50914d690="">: Failed to establish a new connection: [Errno 113] Aucun chemin d'acc\xc3\xa8s pour atteindre l'h\xc3\xb4te cible",))